<ion-view view-title="Login" >
  <ion-content>

    <!-- <a href="#/tab/rutas" >lkashld</a> -->
    <div class="list">
      <label class="item item-input item-floating-label">
        <span class="input-label">Usuario</span>
        <input type="text" placeholder="Usuario" ng-model="cUsuario" />
      </label>
      <label class="item item-input item-floating-label">
        <span class="input-label">Password</span>
        <input type="password" placeholder="Password" ng-model="cPassword" />
      </label>
      <label class="item item-input item-select">
        <div class="input-label">
          Vehiculo
        </div>
        <select ng-model="nIdVehiculo">
          <option ng-repeat="item in lstVehiculos" ng-value="item.nIdVehiculo">{{item.cPlacas}}</option>
        </select>
      </label>
      
    </div>

    <div class="padding">
      <!-- <a class="button button-block button-positive" href="#/tab/rutas">Entrar</a> -->
      <a class="button button-block button-positive" 
        ng-click="ValidarLogin(cUsuario,cPassword,false)" 
        ng-disabled="cUsuario == undefined || cUsuario.length == 0 || cPassword == undefined || cPassword.length == 0"
        ng-show="lstVehiculos.length == 0"
        >
        {{lstVehiculos.length == 0 ? 'Obtener Vehiculos' : 'Entrar'}}
      </a>
      <a class="button button-block button-positive" 
        ng-click="ValidarLogin(cUsuario,cPassword,true,nIdVehiculo)" 
        ng-disabled="cUsuario == undefined || cUsuario.length == 0 || cPassword == undefined || cPassword.length == 0 || nIdVehiculo == undefined"
        ng-show="lstVehiculos.length > 0"
        >
        {{'Entrar'}}
      </a>
    </div>
  </ion-content>
</ion-view>
